/************************************************************************
*  IntervalAutoDiff.h (Definition of the interval autodiff type)
*
*  Version:                     1.1
*  Date:                        8/24/93
*  Author:                      O. Knueppel
*************************************************************************/

#ifndef __INTERVAL_AUTODIFF__
#define __INTERVAL_AUTODIFF__

#include "ivalmat.h"

#define AUTODIFF_TYPE          INTERVAL_AUTODIFF
#define AUTODIFF_SIMPLE_TYPE   INTERVAL
#define AUTODIFF_VECTOR_TYPE   INTERVAL_VECTOR
#define AUTODIFF_MATRIX_TYPE   INTERVAL_MATRIX
#define AUTODIFF_COMPUTE_HESSIAN
#include "autodiff.hge"
#undef AUTODIFF_MATRIX_TYPE
#undef AUTODIFF_VECTOR_TYPE
#undef AUTODIFF_SIMPLE_TYPE
#undef AUTODIFF_TYPE

#endif /* __INTERVAL_AUTODIFF__ */
