/************************************************************************
*  AutoDiff.h (Definition of the real autodiff type)
*
*  Version:                     1.1
*  Date:                        8/24/93
*  Author:                      O. Knueppel
*************************************************************************/

#ifndef __AUTODIFF__
#define __AUTODIFF__

#include "matrix.h"

#define AUTODIFF_TYPE          AUTODIFF
#define AUTODIFF_SIMPLE_TYPE   REAL
#define AUTODIFF_VECTOR_TYPE   VECTOR
#define AUTODIFF_MATRIX_TYPE   MATRIX
#define AUTODIFF_COMPUTE_HESSIAN
#include "autodiff.hge"
#undef AUTODIFF_MATRIX_TYPE
#undef AUTODIFF_VECTOR_TYPE
#undef AUTODIFF_SIMPLE_TYPE
#undef AUTODIFF_TYPE

#endif /* __AUTODIFF__ */
