/************************************************************************
*  MiscFunctions.h (Definitions of utility functions for PROFIL)
*
*  Version:                     1.3
*  Date:                        2/1/94
*  Author:                      T. Simenec
*************************************************************************/

#ifndef __MYFUNCTIONS__
#define __MYFUNCTIONS__ 

#include "config.h"
#ifndef __PORTAB__
#include "Portab.h"
#endif

#ifdef __16BIT__
  #define PROFIL_RAND_MAX 65535.0
#else
  #define PROFIL_RAND_MAX 4294967296.0
#endif

#if defined (__cplusplus)
extern "C" {
#endif

REAL Random (VOID);

REAL Rand01 (VOID);

UNSIGNED Rand (VOID);

VOID Randomize (VOID);

INT Binom (INT, INT);

INT Legendre (INT, INT);

#if defined (__cplusplus)
}
#endif

#endif /* __MYFUNCTIONS__ */


